Display (gCube Workflow Documents Manager Portlet 2.4.0-SNAPSHOT API)
Date: 2015-11-01

org.gcube.portlets.admin.wfdocviewer.client.presenter

## Interface Display

- All Known Implementing Classes:
    WorkflowDocsView

      public interface Display

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRoleToPermissionTable(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles)`
    `com.google.gwt.user.client.ui.Widget` | `asWidget()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getActionsLogButton()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getAddCommentsCheckColumn()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getAddnewButton()`
    `com.google.gwt.event.dom.client.HasClickHandlers` | `getAddRoleButton()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getCreateNewWfReportButton()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getDeleteButton()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getDeleteCheckColumn()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getDeleteCommentsCheckColumn()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getDetailsButton()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getEditPermissionCheckColumn()`
    `com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<WfDocumentBean>` | `getGridSelectionModel()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getNextButton()`
    `com.extjs.gxt.ui.client.widget.form.ComboBox<WfTemplateBean>` | `getSelectWfTemplateCombo()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getUpdateCheckColumn()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getUpdateCommentsCheckColumn()`
    `HashMap<String,com.extjs.gxt.ui.client.widget.ListView<UserBean>>` | `getUsersAndRoles()`
    `com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getViewCheckColumn()`
    `org.gcube.portlets.widgets.lighttree.client.load.WorkspaceLightTreeLoadPopup` | `getWSTreepopup()`
    `void` | `maskCenterPanel(String message, boolean mask)`
    `void` | `maskWestPanel(String message, boolean mask)`
    `void` | `setData(List<WfDocumentBean> data)`
    `void` | `showAddnewWfDocPanel()`
    `void` | `showAssignRolesToUsersPanel(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles, ArrayList<UserBean> users)`
    `void` | `showInstanciateNewWorkflowPanel(String reportid, String reportName, ArrayList<WfTemplateBean> templates)`
    `void` | `showWfReportDetails(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template, String status)`
    `void` | `showWfTemplateToInstanciate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template, com.google.gwt.event.dom.client.ClickHandler clickHandler)`
    `void` | `updateSize()`

- - ### Method Detail

    - #### asWidget

          com.google.gwt.user.client.ui.Widget asWidget()

    - #### maskCenterPanel

          void maskCenterPanel(String message,
                             boolean mask)

    - #### maskWestPanel

          void maskWestPanel(String message,
                           boolean mask)

    - #### showAddnewWfDocPanel

          void showAddnewWfDocPanel()

    - #### updateSize

          void updateSize()

    - #### setData

          void setData(List<WfDocumentBean> data)

    - #### showInstanciateNewWorkflowPanel

          void showInstanciateNewWorkflowPanel(String reportid,
                                             String reportName,
                                             ArrayList<WfTemplateBean> templates)

    - #### showWfTemplateToInstanciate

          void showWfTemplateToInstanciate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template,
                                         com.google.gwt.event.dom.client.ClickHandler clickHandler)

    - #### addRoleToPermissionTable

          void addRoleToPermissionTable(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles)

    - #### showAssignRolesToUsersPanel

          void showAssignRolesToUsersPanel(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles,
                                         ArrayList<UserBean> users)

    - #### showWfReportDetails

          void showWfReportDetails(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template,
                                 String status)

    - #### getViewCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getViewCheckColumn()

    - #### getUpdateCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getUpdateCheckColumn()

    - #### getDeleteCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getDeleteCheckColumn()

    - #### getEditPermissionCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getEditPermissionCheckColumn()

    - #### getAddCommentsCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getAddCommentsCheckColumn()

    - #### getUpdateCommentsCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getUpdateCommentsCheckColumn()

    - #### getDeleteCommentsCheckColumn

          com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getDeleteCommentsCheckColumn()

    - #### getDetailsButton

          com.extjs.gxt.ui.client.widget.button.Button getDetailsButton()

    - #### getAddnewButton

          com.extjs.gxt.ui.client.widget.button.Button getAddnewButton()

    - #### getActionsLogButton

          com.extjs.gxt.ui.client.widget.button.Button getActionsLogButton()

    - #### getNextButton

          com.extjs.gxt.ui.client.widget.button.Button getNextButton()

    - #### getDeleteButton

          com.extjs.gxt.ui.client.widget.button.Button getDeleteButton()

    - #### getCreateNewWfReportButton

          com.extjs.gxt.ui.client.widget.button.Button getCreateNewWfReportButton()

    - #### getAddRoleButton

          com.google.gwt.event.dom.client.HasClickHandlers getAddRoleButton()

    - #### getSelectWfTemplateCombo

          com.extjs.gxt.ui.client.widget.form.ComboBox<WfTemplateBean> getSelectWfTemplateCombo()

    - #### getGridSelectionModel

          com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<WfDocumentBean> getGridSelectionModel()

    - #### getWSTreepopup

          org.gcube.portlets.widgets.lighttree.client.load.WorkspaceLightTreeLoadPopup getWSTreepopup()

    - #### getUsersAndRoles

          HashMap<String,com.extjs.gxt.ui.client.widget.ListView<UserBean>> getUsersAndRoles()

Copyright © 2015. All Rights Reserved.